function h = NegEntropy( P )
% Negative of the entropy of a probability function P
%   P should be an array of non-negative reals
%   that sum to 1

% h = sum(P.*log(P)); Don't use this formula - it fails with zero entries

Nuu=length(P);
s=0;

for i= 1:Nuu
    if P(i)~=0
        s = s + (P(i)*log(P(i)));
    end
end

h = s;
%d = log(P)+1; Don't use this derivative: it gives false optima with zero entries

end


